Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextCursor.MoveOperation

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextCursor.MoveOperation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextCursor

    public static final class QTextCursor.MoveOperation

extends java.lang.Enum
implements QtEnumerator

See also.
  `movePosition()`.

See Also:
  Serialized Form

Field Summary
`static QTextCursor.MoveOperation` | `Down` Move down one line.
`static QTextCursor.MoveOperation` | `End` Move to the end of the document.
`static QTextCursor.MoveOperation` | `EndOfBlock` Move to the end of the current block.
`static QTextCursor.MoveOperation` | `EndOfLine` Move to the end of the current line.
`static QTextCursor.MoveOperation` | `EndOfWord` Move to the end of the current word.
`static QTextCursor.MoveOperation` | `Left` Move left one character.
`static QTextCursor.MoveOperation` | `NextBlock` Move to the beginning of the next block.
`static QTextCursor.MoveOperation` | `NextCharacter` Move to the next character.
`static QTextCursor.MoveOperation` | `NextWord` Move to the next word.
`static QTextCursor.MoveOperation` | `NoMove` Keep the cursor where it is
`static QTextCursor.MoveOperation` | `PreviousBlock` Move to the start of the previous block.
`static QTextCursor.MoveOperation` | `PreviousCharacter` Move to the previous character.
`static QTextCursor.MoveOperation` | `PreviousWord` Move to the beginning of the previous word.
`static QTextCursor.MoveOperation` | `Right` Move right one character.
`static QTextCursor.MoveOperation` | `Start` Move to the start of the document.
`static QTextCursor.MoveOperation` | `StartOfBlock` Move to the start of the current block.
`static QTextCursor.MoveOperation` | `StartOfLine` Move to the start of the current line.
`static QTextCursor.MoveOperation` | `StartOfWord` Move to the start of the current word.
`static QTextCursor.MoveOperation` | `Up` Move up one line.
`static QTextCursor.MoveOperation` | `WordLeft` Move left one word.
`static QTextCursor.MoveOperation` | `WordRight` Move right one word.

Method Summary
`static QTextCursor.MoveOperation` | `resolve(int value)` Returns the QTextCursor$MoveOperation constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCursor.MoveOperation` | `valueOf(java.lang.String name)`
`static QTextCursor.MoveOperation[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoMove

    public static final QTextCursor.MoveOperation NoMove

  Keep the cursor where it is

### Start

    public static final QTextCursor.MoveOperation Start

  Move to the start of the document.

### Up

    public static final QTextCursor.MoveOperation Up

  Move up one line.

### StartOfLine

    public static final QTextCursor.MoveOperation StartOfLine

  Move to the start of the current line.

### StartOfBlock

    public static final QTextCursor.MoveOperation StartOfBlock

  Move to the start of the current block.

### StartOfWord

    public static final QTextCursor.MoveOperation StartOfWord

  Move to the start of the current word.

### PreviousBlock

    public static final QTextCursor.MoveOperation PreviousBlock

  Move to the start of the previous block.

### PreviousCharacter

    public static final QTextCursor.MoveOperation PreviousCharacter

  Move to the previous character.

### PreviousWord

    public static final QTextCursor.MoveOperation PreviousWord

  Move to the beginning of the previous word.

### Left

    public static final QTextCursor.MoveOperation Left

  Move left one character.

### WordLeft

    public static final QTextCursor.MoveOperation WordLeft

  Move left one word.

### End

    public static final QTextCursor.MoveOperation End

  Move to the end of the document.

### Down

    public static final QTextCursor.MoveOperation Down

  Move down one line.

### EndOfLine

    public static final QTextCursor.MoveOperation EndOfLine

  Move to the end of the current line.

### EndOfWord

    public static final QTextCursor.MoveOperation EndOfWord

  Move to the end of the current word.

### EndOfBlock

    public static final QTextCursor.MoveOperation EndOfBlock

  Move to the end of the current block.

### NextBlock

    public static final QTextCursor.MoveOperation NextBlock

  Move to the beginning of the next block.

### NextCharacter

    public static final QTextCursor.MoveOperation NextCharacter

  Move to the next character.

### NextWord

    public static final QTextCursor.MoveOperation NextWord

  Move to the next word.

### Right

    public static final QTextCursor.MoveOperation Right

  Move right one character.

### WordRight

    public static final QTextCursor.MoveOperation WordRight

  Move right one word.

Method Detail

### values

    public static QTextCursor.MoveOperation[] values()

### valueOf

    public static QTextCursor.MoveOperation valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCursor.MoveOperation resolve(int value)

  Returns the QTextCursor$MoveOperation constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD